GET /v2/images/updated

shutterstock.com

Summary: List updated images
Operation ID: getUpdatedImages
Auth: unknown
Description

This endpoint lists images that have been updated in the specified time period to update content management systems (CMS) or digital asset management (DAM) systems. In most cases, use the `interval` parameter to show images that were updated recently, but you can also use the `start_date` and `end_date` parameters to specify a range of no more than three days. Do not use the `interval` parameter with either `start_date` or `end_date`.

Parameters (7)

end_date (string, query, optional)

Show images updated before the specified date

interval (string, query, optional, default: 1 HOUR)

Show images updated in the specified time period, where the time period is an interval (like SQL INTERVAL) such as 1 DAY, 6 HOUR, or 30 MINUTE; the default is 1 HOUR, which shows images that were updated in the hour preceding the request

page (integer, query, optional, default: 1)

Page number

Constraints: {'minimum': 1}

per_page (integer, query, optional, default: 100)

Number of results per page

Constraints: {'minimum': 1, 'maximum': 2000}

sort (string, query, optional, default: newest)

Sort order

Constraints: {'enum': ['newest', 'oldest']}

start_date (string, query, optional)

Show images updated on or after the specified date

type (array, query, optional)

Show images that were added, deleted, or edited; by default, the endpoint returns images that were updated in any of these ways

No probe data for this endpoint yet.